
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 矿机
 */

import { request } from '../index'

// 水晶原石
const crystals = () => {
	return request({
		url: 'user/account/crystals'
	})
}

// 领取水晶
const thawlog = (data) => {
	return request({
		url: 'user/account/thawlog',
		method: 'POST',
		data
	})
}

// 水晶分类
const category = () => {
	return request({
		url: 'crystal/category'
	})
}

// 水晶任务
const task = () => {
	return request({
		url: 'crystal/task'
	})
}

// 水晶用户签到-信息
const sign = () => {
	return request({
		url: 'user/sign'
	})
}

// 水晶用户签到
const operateSign = () => {
	return request({
		url: 'user/sign',
        method: 'POST'
	})
}

export{
	crystals,
	thawlog,
    category,
	task,
    sign,
    operateSign
}
